https://github.com/ebook-utils/css-parser/commit/ad79cfcb6e55837a4353b92d051de023c18f6581

From: =?UTF-8?q?Zbigniew=20J=C4=99drzejewski-Szmek?= <zbyszek@in.waw.pl>
Date: Sat, 21 May 2022 14:21:28 +0200
Subject: [PATCH] tests: adjust exception string checks for python 3.11

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=2062102.
--- a/css_parser_tests/test_property.py
+++ b/css_parser_tests/test_property.py
@@ -5,6 +5,7 @@
 import xml.dom
 from . import basetest
 import css_parser
+import sys
 
 
 class PropertyTestCase(basetest.BaseTestCase):
@@ -162,8 +163,9 @@ def test_literalname(self):
         "Property.literalname"
         p = css_parser.css.property.Property(r'c\olor', 'red')
         self.assertEqual(r'c\olor', p.literalname)
-        self.assertRaisesMsgSubstring(AttributeError, "can't set attribute", p.__setattr__,
-                                      'literalname', 'color')
+        pattern = "object has no setter" if sys.version_info >= (3,11) else "can't set attribute"
+        self.assertRaisesMsgSubstring(AttributeError, pattern,
+                                      p.__setattr__, 'literalname', 'color')
 
     def test_validate(self):
         "Property.valid"
--- a/css_parser_tests/test_selector.py
+++ b/css_parser_tests/test_selector.py
@@ -11,6 +11,7 @@
 import xml.dom
 from . import basetest
 import css_parser
+import sys
 
 
 class SelectorTestCase(basetest.BaseTestCase):
@@ -412,7 +413,9 @@ def test_specificity(self):
 
         # readonly
         def _set(): selector.specificity = 1
-        self.assertRaisesMsgSubstring(AttributeError, "can't set attribute", _set)
+
+        pattern = "object has no setter" if sys.version_info >= (3,11) else "can't set attribute"
+        self.assertRaisesMsgSubstring(AttributeError, pattern, _set)
 
         tests = {
             '*': (0, 0, 0, 0),

